#include <GL/glut.h>
#include <iostream>
#include <cstdlib>
#include <Inventor/nodes/SoQuadMesh.h>
#include <Inventor/nodes/SoCoordinate3.h>

using std::cout;
#include "cloth_visualizer.hxx"

SoSeparator* VisualCloth::generate() {
  SoQuadMesh *mesh;
  SoSeparator *qm;

  qm = new SoSeparator;
  mesh = new SoQuadMesh;
  visual_coords = new SoCoordinate3;

  draw();
  qm->addChild(visual_coords);

  mesh -> verticesPerRow = xMax;
  mesh -> verticesPerColumn = yMax;
  qm -> addChild(mesh);
  return qm;
}

void VisualCloth::draw(void) {
  visual_coords->point.setValuesPointer(xMax*yMax, &(*this)[0]);
}

